=== debian/control ===
Source: mupen64plus-rsp-z64
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-rsp-z64.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-rsp-z64.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libmupen64plus-dev,

Package: mupen64plus-rsp-z64
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-rsp-abi-1,
Provides:
 mupen64plus-rsp,
Description: low-level rsp emulation for mupen64plus
 N64 Reality Signal Processor instruction level emulation for graphics plugins
 supporting preprocessed vertex information. It can emulate even unknown or
 uncommon microcodes, but cannot benefit from faster implementation for the
 host cpu.
 .
 This package also provides mupen64plus-video-z64-hlevideo which can be used
 together with high level video emulation plugins like arachnoid, rice or
 glide64.

Package: mupen64plus-rsp-z64-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-rsp-z64 (= ${binary:Version}),
Description: low-level rsp emulation for mupen64plus debug symbols package
 N64 Reality Signal Processor instruction level emulation for graphics plugins
 supporting preprocessed vertex information. It can emulate even unknown or
 uncommon microcodes, but cannot benefit from faster implementation for the
 host cpu.
 .
 This package contains the debug files.
