=== debian/changelog ===
mupen64plus-rsp-z64 (1.99.4+31+1374ffc147ad-4) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:05:33 +0200

mupen64plus-rsp-z64 (1.99.4+31+1374ffc147ad-3) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:20:29 +0200

mupen64plus-rsp-z64 (1.99.4+31+1374ffc147ad-2) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:36 +0100

mupen64plus-rsp-z64 (1.99.4+31+1374ffc147ad-1) experimental; urgency=low

  * New upstream snapshot from revision 1374ffc147add410b62a30e88f88191c0dfa90c2
  * debian/patches:
    - Remove upstream merged patch dma_transfer.patch and hle_compat.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:44:39 +0100

mupen64plus-rsp-z64 (1.99.4+26+121aa9960630-1) experimental; urgency=low

  * New upstream snapshot from revision 121aa9960630695e10f903ffb7da37ff34247011
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * debian/patches:
    - Remove upstream merged patch rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:06:12 +0200
