=== debian/watch ===
version=3

http://bitbucket.org/wahrhaft/mupen64plus-rsp-z64/downloads/ \
	/wahrhaft/mupen64plus-rsp-z64/downloads/mupen64plus-rsp-z64-src-(.*).tar.gz
