=== debian/changelog ===
mupen64plus-rsp-z64 (2.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_test behavior which is
      causing a FTBFS by adding an explicit override_dh_auto_test rule
  * debian/watch:
    - Verify new upstream versions using GPG key E05E608A04EF22F7596B

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2013 01:31:35 +0200

mupen64plus-rsp-z64 (1.99.5+15+5b238bb813d9-1) experimental; urgency=low

  * New Upstream Snapshot from 5b238bb813d9fd500b92fecd6a769b55bce977dd
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:25:50 +0200

mupen64plus-rsp-z64 (1.99.5+12+3ac880a8fb3e-1) experimental; urgency=low

  * New upstream snapshot from revision 3ac880a8fb3eaf177968fd212f9936d61b8c3292
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:53 +0100

mupen64plus-rsp-z64 (1.99.5+3+ee940659ff77-1) experimental; urgency=low

  * New upstream snapshot from revision ee940659ff7720886049705ba417f679b94c6155
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:32:33 +0100
