=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_CFLAGS_MAINT_APPEND=-flto
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG" LTO=1
+MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG"
 
 DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg
 
@@ -16,6 +17,9 @@
 
 get-orig-source:
 	$(CURDIR)/debian/get-orig-source.sh
+
+override_dh_auto_test:
+	# otherwise dh_auto_test fails with debhelper 9.20130624
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKEOPTIONS) HLEVIDEO=0
@@ -33,4 +37,4 @@
 	dh_strip -a --dbg-package="$(DBG_PACKAGE)"
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_auto_clean
+	get-orig-source override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_auto_clean
