## mupen64plus-rsp-z64 2.0.0%2B12%2Bg5a0a580

=== debian/changelog ===
mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-rsp-z64-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright
  * Override the lintian warning about missing upstream changelog

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:57:16 +0100

mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-2) unstable; urgency=medium

  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:32 +0100

mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-1) unstable; urgency=medium

  * New Upstream Snapshot from 5a0a58071ab9073bcca038a32d38b5c323b0883f
  * Upload to unstable
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright:
    - Update years in debian/copyright
    - Simplify the the sections

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 13:47:15 +0200

mupen64plus-rsp-z64 (2.0.0+9+g93dc84f-1) experimental; urgency=medium

  * New Upstream Snapshot from 93dc84fd1a7dfb4029f34757fe49027bf167f6ec

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:24:18 +0200

mupen64plus-rsp-z64 (2.0.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:15:37 +0200
