=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,13 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND=-flto
+export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG"
-
-DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg
 
 binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
 	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing
@@ -34,7 +33,7 @@
 	dh_auto_clean -- $(MAKEOPTIONS) HLEVIDEO=1
 
 override_dh_strip:
-	dh_strip -a --dbg-package="$(DBG_PACKAGE)"
+	dh_strip -a --ddeb-migration='mupen64plus-rsp-z64-dbg (<< 2.0.0+12+g5a0a580-3~)'
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
 	get-orig-source override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_auto_clean
